MainApplication/Controllers/QuizController.cs
using Domain.Entities;
using Newtonsoft.Json;
using RestSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using PagedList;
using System.Web;
using System.Web.Mvc;
using MainApplication.token;

namespace MainApplication.Controllers
{
    public class QuizController : Controller
    {
        //HttpClient client;

        //HttpResponseMessage Response;

      

        // GET: Quiz

        [HttpGet]
        public ActionResult Index(string desc)
        {
            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;
            //Response = client.GetAsync(string.Format("quiz?desc="+desc)).Result;
            //ViewBag.jiji = Response.Content.ReadAsStringAsync();
            var clientrest = new RestClient("http://pi-net-service-dev.eu-west-1.elasticbeanstalk.com/api/");
            var requestrest = new RestRequest("quizs?desc=" + desc, Method.GET);
            requestrest.AddHeader("content-type", "application/json");
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
            ViewBag.descrip = desc;


            //     IRestResponse response1 = clientrest.Execute(requestrest);
            //    var content = response1.Content; // raw content as string
            //  ViewBag.jiji = content;
            //   return View();
            requestrest.ToString();
            var response1 = clientrest.Execute<List<Quiz>>(requestrest);

            return View(response1.Data);
        }


        // GET: Quiz/all
        [HttpGet]

        public ActionResult All(int? page)
        {
            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;


            var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
            var requestrest = new RestRequest("quiz", Method.GET);
            requestrest.AddHeader("content-type", "application/json");
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
            requestrest.ToString();
            var response1 = clientrest.Execute<List<Quiz>>(requestrest).Data.ToList();




            int recordsPerPage = 4;
            if (!page.HasValue)
            { page = 1; }





            return View(response1.AsQueryable().OrderByDescending(p => p.Score).ToPagedList(page.Value, recordsPerPage));
        }
        [HttpGet]
        // GET: Quiz/Details/5
        public ActionResult Details(int id)
        {
            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;
            var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
            var requestrest = new RestRequest("quiz/" + id, Method.GET);
            requestrest.AddHeader("content-type", "application/json");
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
            requestrest.ToString();
            var response1 = clientrest.Execute<Quiz>(requestrest);


            return View(response1.Data);
        }



        // GET: Quiz/Create
        public ActionResult Create()
        {

            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };


            var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;
            var requestrest = new RestRequest("lesson/", Method.GET);
            requestrest.RequestFormat = DataFormat.Json;
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
            var response = clientrest.Execute<List<Lesson>>(requestrest);

            ViewBag.list = response.Data.Select(x =>
                                  new SelectListItem()
                                  {
                                      Text = x.Titre.ToString(),
                                      Value = x.Id.ToString()
                                  });
            return View();
        }

        // POST: Quiz/Create
        [HttpPost]
        public ActionResult Create(Quiz qui)
        {

            try
            {
                if (Session["token"] == null)
                {
                    TempData["err_auth_msg"] = "you are not authenticated to access that page";
                    return RedirectToAction("index", "Auth");
                }

                JWToken token = new JWToken() { Token = Session["token"].ToString() };
                ViewBag.tenantname = token.getTenantFromToken().Name;
                ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
                ViewBag.tenantid = token.getTenantFromToken().Id;

                ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
                ViewBag.username = token.getUserFromToken().username;
                ViewBag.userid = token.getUserFromToken().Id;

                var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
                var requestrest = new RestRequest("quiz", Method.POST);

                requestrest.RequestFormat = DataFormat.Json;
                requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
                requestrest.AddBody(new Quiz
                {

                    Description = qui.Description,
                    Title = qui.Title,
                    Score = qui.Score,
                    //Duration = qui.Duration,
                    StartDate = DateTime.Now,
                    Lesson = qui.Lesson,
                    LessonId = qui.LessonId,
               //     PublisherId = 1

                });

                var response = clientrest.Execute<Quiz>(requestrest);
                return RedirectToAction("All");
            }
            catch
            {
                return View();
            }
        }

        // GET: Quiz/Edit/5
        public ActionResult Edit(int id)
        {
            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;
            var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
            var requestrest = new RestRequest("quiz/" + id, Method.GET);
            requestrest.AddHeader("content-type", "application/json");
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);
            requestrest.ToString();
            var requestrest1 = new RestRequest("lesson/", Method.GET);
            requestrest.RequestFormat = DataFormat.Json;
            var response1 = clientrest.Execute<Quiz>(requestrest);
            var response = clientrest.Execute<List<Lesson>>(requestrest1);
            ViewBag.list = response.Data.Select(x =>
                                  new SelectListItem()
                                  {
                                      Text = x.Titre.ToString(),

MainApplication/Views/Quiz/All.cshtml
@using PagedList;
@using PagedList.Mvc;

@model PagedList.IPagedList<Domain.Entities.Quiz>
@{


    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link rel="stylesheet" href="assets/css/sweetalert.css">



<div class="container-fluid">

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>

    </ol>

    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h2"> Quizzes</h1>
            <div class="col-sm-6">
                <form class="navbar-search-form d-none d-md-flex" method="get" action="@Url.Action("Index", "Quiz"  )">
                    <input type="text" class="form-control" name="desc" id="desc" placeholder="Search">
                    <button class="btn" type="submit"><i class="material-icons">search</i></button>
                </form>
            </div>
        </div>
        <div class="media-right">
            <a href="@Url.Action("Create", "Quiz" )" class="btn btn-success">New Quiz <i class="material-icons btn__icon--right">add</i></a>
        </div>

    </div>
    <div class="col-md-9">
        <div class="card-columns">



            @foreach (var item in Model)
            {
                <div class="card">
                    <div class="card-body media">
                        <div class="media-left">
                            <a href="@Url.Action("Details", "Quiz",new { id = item.Id } )">
                                <img src="@Url.Content("~/Content/images/vuejs.png")" alt="Card image cap" class="rounded" width="80">
                            </a>
                        </div>
                        <div class="media-body">

                            @Html.DisplayFor(modelItem => item.Title)
                            <h4 class="card-title mb-0">@Html.DisplayFor(modelItem => item.Description)<a href="instructor-review-quiz.html"></a></h4>
                            <small class="text-muted">25 Completed</small>
                        </div>
                    </div>
                    <div class="card-footer text-center">
                        <a href="instructor-review-quiz.html" class="btn btn-primary btn-sm float-left"><i class="material-icons btn__icon--left">playlist_add_check</i> Point <span class="badge text-primary bg-white btn__icon--right">@Html.DisplayFor(modelItem => item.Score)</span></a>
                        <a href="@Url.Action("Edit", "Quiz",new { id = item.Id } )" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">edit</i> Edit </a>
                        <a href="@Url.Action("Delete", "Quiz" , new { id = item.Id })" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">delete</i> Delete </a>






                        @*@Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })*@


                        <div class="clearfix"></div>
                    </div>
                </div>

            }



        </div>

    </div>

    <lu class="pagination pagination-lg">
        @Html.PagedListPager(Model, page => Url.Action("All", new
{ page }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
    </lu>



</div>

MainApplication/Views/Quiz/Create.cshtml
@model Domain.Entities.Quiz
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}





<div class="container-fluid">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>
        <li class="breadcrumb-item active"> Create </li>
    </ol>
    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h4"> Create New Quiz  </h1>
        </div>
        </div>
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()

          @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Quiz Details</h4>
                </div>
                <div class="card-body">
                    <form action="#">
                        <div class="form-group row">
                            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            @*<label for="course_title" class="col-sm-3 col-form-label">Quiz Title</label>*@
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                                    @*<span class="input-group-addon" id="sizing-addon2">#</span>
                                        <input type="text" class="form-control" placeholder="Title" aria-describedby="sizing-addon2" value="Title">*@
                                </div>
                            </div>

                        </div>

                        <div class="form-group row">
                            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            @*<label for="course_title" class="col-sm-3 col-form-label">Quiz Description</label>*@
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                                    @*<input type="text" class="form-control" placeholder="Title" aria-describedby="sizing-addon2" value="Vue.js Introduction">*@


                                </div>
                            </div>

                        </div>


                        <div class="form-group row">
                            @Html.LabelFor(model => model.Score, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Score, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Score, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Course</label>

                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @*@Html.EditorFor(model => model.Lesson.Titre, new { htmlAttributes = new { @class = "form-control" } })*@
                                    @Html.DropDownListFor(model => model.LessonId, new SelectList(ViewBag.list, "Value", "Text"),
                                   new { @class = "form-control" })


                                    @Html.ValidationMessageFor(model => model.Lesson.Titre, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            @Html.LabelFor(model => model.Duration, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                    
                            <div class="col-sm-9">
                                <div class="switch">
                                    @*<input id="cmn-toggle" class="switch-toggle switch-toggle-round" type="checkbox" checked>*@
                                    <label for="cmn-toggle"></label>
                                </div>
                                <div class="form-inline">
                                    <div class="form-group">
                                        @Html.EditorFor(model => model.Duration, new { htmlAttributes = new { @class = "form-control text-center" } })
                                        @Html.ValidationMessageFor(model => model.Duration, "", new { @class = "text-danger" })
                                        @*<input type="text" class="form-control text-center" value="4" style="width:50px;">*@
                                    </div>
                                    @*<div class="form-group">

                                            <select class="custom-select">
                                                <option value="hour" selected>Hours</option>
                                                <option value="minutes">Minutes</option>
                                            </select>
                                        </div>*@
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                              
                                <button type="submit"  value="Create" class="btn btn-success try-sweet-successMessage">Create</button>  
                   
                                 <button class="btn btn-warning" onclick="location.href='@Url.Action("All", "Quiz")';return false;">Cancel</button>
                               
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        }


      
    </div>

MainApplication/Views/Quiz/Delete.cshtml
@model Domain.Entities.Quiz

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Scripts/sweetalert.js"></script>
<link rel="stylesheet" href="~/Content/sweetalert.css">
<div class="container-fluid">

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>
        <li class="breadcrumb-item active"> Delete </li>

    </ol>


    <div class="card">
        <div class="card-header">
            <h5 class="card-title">Item </h5>
        </div>
        <table id="datatable-example" class="table table-striped table-hover table-sm">
            <thead>
                <tr>
                    <th>@Html.DisplayNameFor(model => model.Title)</th>
                    <th>@Html.DisplayNameFor(model => model.Description)</th>
                    <th>@Html.DisplayNameFor(model => model.StartDate)</th>

                    <th>@Html.DisplayNameFor(model => model.Score)</th>

                </tr>

                <tr>
                    <td>
                        @Html.DisplayFor(model => model.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.StartDate)
                    </td>

                    <td>
                        @Html.DisplayFor(model => model.Score)
                    </td>

                </tr>
            </thead>
        </table>



    </div>
    






        <div class="sweet-overlay" tabindex="-1" style="opacity: 1.12; display: block;">

           <div class="sweet-alert showSweetAlert visible" data-custom-class="" data-has-cancel-button="true" data-has-confirm-button="true" data-allow-outside-click="false" data-has-done-function="true" data-animation="pop" data-timer="null" style="display: block; margin-top: -80px;">
            <div class="sa-icon sa-error" style="display: none;">
                <span class="sa-x-mark">
                    <span class="sa-line sa-left"></span>
                    <span class="sa-line sa-right"></span>
                </span>
            </div>
            <div class="sa-icon sa-warning pulseWarning" style="display: block;">
                <span class="sa-body pulseWarningIns"></span>
                <span class="sa-dot pulseWarningIns"></span>
            </div>
            <div class="sa-icon sa-info" style="display: none;"></div><div class="sa-icon sa-success" style="display: none;">
                <span class="sa-line sa-tip"></span>
                <span class="sa-line sa-long"></span>
            </div>
            <div class="sa-icon sa-custom" style="display: none;"></div><h2>Are you sure?</h2>
            <p style="display: block;">You will not be able to recover this imaginary file!</p>
            <fieldset>
                <input tabindex="3" placeholder="" type="text">
                <div class="sa-input-error"></div>
            </fieldset>
            <div class="sa-error-container">
                <div class="icon">!</div>
                <p>Not valid!</p>
            </div>
            @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        <div class="sa-button-container">
            <button onclick="location.href='@Url.Action("All", "Quiz")';return false;" class="cancel" tabindex="2" style="display: inline-block; box-shadow: none;">No, cancel plx!</button>
            <div class="sa-confirm-button-container">
                <button class="confirm" type="submit" tabindex="1" style="display: inline-block; background-color: rgb(3, 155, 229); box-shadow: rgb(255, 0, 0);">Yes, delete it!</button>

            </div>
        </div>
    }

        </div>


    </div>
</div>

MainApplication/Views/Quiz/Edit.cshtml
@model Domain.Entities.Quiz

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container-fluid">

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>
        <li class="breadcrumb-item active"> Edit </li>

    </ol>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h1>Quiz</h1>
            <div class="card-body">
                <form action="#">


                    <div class="form-group row">
                        @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group row ">
                        @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        @Html.LabelFor(model => model.StartDate, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        </div>

                    <div class="form-group row">
                        @Html.LabelFor(model => model.PublisherId, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">

                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.PublisherId, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.PublisherId, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>



                        <div class="form-group row">
                            @Html.LabelFor(model => model.Score, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Score, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Score, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">

                            <button type="submit" value="Create" class="btn btn-success try-sweet-successMessage">Save</button>

                            <button class="btn btn-warning" onclick="location.href='@Url.Action("All", "Quiz")';return false;">Cancel</button>

                        </div>
                    </div>
</form>
            </div>
        </div>
    }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>

MainApplication/Views/Quiz/Index.cshtml
@model IEnumerable<Domain.Entities.Quiz>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>
@*@Html.Raw(ViewBag.jiji)*@


<div class="container">
    <div class="media align-items-center">
        <div class="media-body">
            @*<h2>All @Html.Raw(ViewBag.updated) </h2>*@
        </div>
        <div class="media-right">
            <a href="@Url.Action("Create", "Quiz" )" class="btn btn-success">New Quiz <i class="material-icons btn__icon--right">add</i></a>
        </div>
    </div>

    <div class="col-md-9">
        <div class="card-columns">



            @foreach (var item in Model )
            {
                <div class="card">
                    <div class="card-body media">
                        <div class="media-left">
                            <a href="@Url.Action("Details", "Quiz",new { id = item.Id } )">
                                <img src="@Url.Content("~/Content/images/vuejs.png")" alt="Card image cap" class="rounded" width="80">
                            </a>
                        </div>
                        <div class="media-body">

                            @Html.DisplayFor(modelItem => item.Title)
                            <h4 class="card-title mb-0">@Html.DisplayFor(modelItem => item.Description)<a href="instructor-review-quiz.html"></a></h4>
                            <small class="text-muted">25 Completed</small>
                        </div>
                    </div>
                    <div class="card-footer text-center">
                        <a href="instructor-review-quiz.html" class="btn btn-primary btn-sm float-left"><i class="material-icons btn__icon--left">playlist_add_check</i> Point <span class="badge text-primary bg-white btn__icon--right">@Html.DisplayFor(modelItem => item.Score)</span></a>
                        <a href="@Url.Action("Edit", "Quiz",new { id = item.Id } )" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">edit</i> Edit </a>
                        <a href="@Url.Action("Delete", "Quiz" , new { id = item.Id })" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">delete</i> Delete </a>

                        @*@Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })*@


                        <div class="clearfix"></div>
                    </div>
                </div>
            }
        </div>
    </div>
</div>